%define upstream_name    Net-Whois-Raw
%define upstream_version 2.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.0.0
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::IDN::Punycode) >= 1.0.0
BuildRequires: perl(Regexp::IPv6)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::URL)
BuildArch:  noarch

%global __requires_exclude perl\\(Win32API::Registry\\)
%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

Setting the variables $OMIT_MSG and $CHECK_FAIL will match the results
against a set of known patterns. The first flag will try to omit the
copyright message/disclaimer, the second will attempt to determine if the
search failed and return undef in such a case.

*IMPORTANT*: these checks merely use pattern matching; they will work on
several servers but certainly not on all of them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# Cancelling tests because they require external network to be accessed.
# %%check
# %%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pwhois
/usr/share/man/man1/pwhois.1.xz

%changelog
* Sun Oct 19 2014 umeabot <umeabot> 2.760.0-4.mga5
+ Revision: 788650
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.760.0-3.mga5
+ Revision: 745960
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jul 08 2014 sander85 <sander85> 2.760.0-1.mga5
+ Revision: 650645
- update to 2.76

* Thu Jul 03 2014 sander85 <sander85> 2.750.0-1.mga5
+ Revision: 642693
- update to 2.75

* Tue Jul 01 2014 sander85 <sander85> 2.740.0-1.mga5
+ Revision: 641848
- update to 2.74

* Wed Jun 04 2014 sander85 <sander85> 2.700.0-1.mga5
+ Revision: 633028
- update to 2.70

* Fri Apr 25 2014 shlomif <shlomif> 2.630.0-1.mga5
+ Revision: 617956
- update to 2.63

* Tue Mar 25 2014 jquelin <jquelin> 2.600.0-1.mga5
+ Revision: 608384
- update to 2.60

* Fri Mar 14 2014 jquelin <jquelin> 2.590.0-1.mga5
+ Revision: 603728
- update to 2.59

* Thu Mar 13 2014 jquelin <jquelin> 2.570.0-1.mga5
+ Revision: 602987
- update to 2.57

* Mon Feb 10 2014 jquelin <jquelin> 2.510.0-1.mga5
+ Revision: 588548
- update to 2.51

* Sun Oct 20 2013 umeabot <umeabot> 2.480.0-2.mga4
+ Revision: 536721
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 2.480.0-1.mga4
+ Revision: 485470
- update to 2.48

* Sat Jun 01 2013 shlomif <shlomif> 2.460.0-1.mga4
+ Revision: 434171
- Cancel tests
- update to 2.46

* Sun Jan 13 2013 umeabot <umeabot> 2.430.0-2.mga3
+ Revision: 370969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 2.430.0-1.mga3
+ Revision: 304734
- imported package perl-Net-Whois-Raw


* Fri Oct 12 2012 cpan2dist 2.43-1mga
- initial mageia release, generated with cpan2dist
